WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#176 06.09.2020 14:48:37

screamindan
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Development Version hochgeladen. Update lief durch. Login ins Backend klappt auch. Umschalten auf Fraggy. Fehlermeldung bei Abschnitte:

Uncaught SyntaxError: nothing to repeat

Die andere ist jetzt weg.
EDIT: Cache vom Browser auch geleert.

Last edited by screamindan (06.09.2020 14:51:58)

Offline

#177 06.09.2020 15:23:40

screamindan
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Kann das hiermit zu tun haben? Is ja auch ein Popup...
https://forum.wbce.org/viewtopic.php?id=3862

Offline

#178 06.09.2020 15:41:52

florian
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Kann das hiermit zu tun haben? Is ja auch ein Popup...

Glaube ich nicht, bzw. ich habe das gerade mal getestet, die Datumsauswahl funktioniert weiterhin.
Kannst Du dennoch, um das auszuschließen, mal die Original-script.min.js aus dem Fraggy-Theme hochladen und prüfen, ob das Problem weiterhin auftritt?

Offline

#179 06.09.2020 16:45:52

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Was auch noch geht, wäre die script.min.js und script.js jeweils den anderen Namen zu geben, dann sollte die Konsole genau sagen können welche Zeile ihr beim DateFormatter nicht passt.

Offline

#180 06.09.2020 17:35:05

screamindan
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Kannst Du dennoch, um das auszuschließen, mal die Original-script.min.js aus dem Fraggy-Theme hochladen und prüfen, ob das Problem weiterhin auftritt?

Mit der Datei funktioniert es.
Allerdings ist jetzt, wie vermutet, das Problem mit dem Z-Index wieder da.

Last edited by screamindan (06.09.2020 17:36:25)

Offline

#181 06.09.2020 17:54:21

florian
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

hm. hattest du die script.js vorher (also wegen der z-index Sache) im AFE bearbeitet oder in einem Editor auf deinem Rechner geöffnet?

Last edited by florian (06.09.2020 17:55:03)

Offline

#182 06.09.2020 17:55:30

screamindan
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Afe

Offline

#183 06.09.2020 18:15:25

florian
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Der AFE löscht, wenn man bei Suchen&Ersetzen "99999999" eingibt und auf "Alle ersetzen" geht, offenbar auch das Komma hinter 99999999 raus.
D.h. Du kannst zwar nach "99999999" suchen, musst dann aber das Ersetzen bzw. Ändern in 99999 (wichtig: nicht 999999) von Hand vornehmen.

Last edited by florian (06.09.2020 18:21:36)

Offline

Liked by:

colinax

#184 06.09.2020 19:18:20

screamindan
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Oder anders gesagt besser nicht per AFE bearbeiten.

Offline

#185 06.09.2020 19:27:08

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

So wie es sich anhört wurde das Problem behoben.

Hab diesen Thread mit erledigt markiert

Offline

#186 07.09.2020 08:55:19

screamindan
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

florian wrote:

Der AFE löscht, wenn man bei Suchen&Ersetzen "99999999" eingibt und auf "Alle ersetzen" geht, offenbar auch das Komma hinter 99999999 raus.
D.h. Du kannst zwar nach "99999999" suchen, musst dann aber das Ersetzen bzw. Ändern in 99999 (wichtig: nicht 999999) von Hand vornehmen.

Grade mit dem AFE und "von Hand" auf "99999" geändert. Jetzt funktionieren sowohl der Kalender bei Abschnitte als auch der Z-Index Fehler bei Popups. Vielen Dank!

Offline

#187 07.09.2020 08:57:07

screamindan
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

florian wrote:

quick & dirty: Öffne die /templates/fraggy-backend-theme/js/script.min.js und ersetze

99999999

durch

99999

Nachtrag:
Diese Vorgehensweise funktioniert, solange man bei Bearbeitung mit dem AFE die Änderung von Hand und nicht über Suchen und Ersetzen vornimmt.

Offline

#188 20.09.2020 13:25:30

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Ein weiteres kleines Bugfix Update für das Fraggy Backend Theme unter WBCE 1.4.4 und neuer wurde fertiggestellt.

Eine Aktualisierung wird mittels Auto Updater unterstützt, sofern mindestens Fraggy Backend Theme v2.3.1 und WBCE v1.4.4 im Einsatz ist.

Anforderungen

  • WBCE v1.4.4 oder neuer

  • PHP 7.1 oder neuer

  • Aktivierte PHP Extension cURL (nur für Auto Updater)


Changelog v2.5.2

  • Updated to Bootstrap v4.5.2

  • Updated to jQuery Migrate v3.3.1

Dieses Update behebt einige Design Bugs von Bootstrap, die in älteren Bootstrap Versionen entstanden sind.

Offline

Liked by:

giz, Slugger, better-work

#189 30.01.2021 23:19:51

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Ich habe mich entschieden den z-index Fehler im Fraggy Backend Theme v2.6.0 zu fixen.

Offline

Liked by:

screamindan

#190 30.01.2021 23:27:14

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Neues Update für das Fraggy Backend Theme unter WBCE 1.4.4 und neuer ist verfügbar.

Eine Aktualisierung wird mittels Auto-Updater unterstützt, sofern mindestens Fraggy Backend Theme v2.3.1 und min. WBCE v1.4.4 im Einsatz ist.

Das Fraggy Backend Theme steht auf meinem GitHub Profil und im AOR zum Download bereit.

Anforderungen

  • WBCE v1.4.4 oder neuer

  • PHP 7.1 oder neuer

  • Aktivierte PHP Extension cURL (nur für Auto-Updater)

Changelog v2.6.1

  • Fully fixed Scrollbar is above the popup

Changelog v2.6.0

  • Updated to Bootstrap Fileselect v3.1.2

  • Updated to Bootstrap v4.6.0

Fraggy Backend Theme ist auch mit elFinder kompatible.

LG Colinax

Last edited by colinax (27.06.2021 11:32:55)

Offline

Liked by:

riconico, giz, msch

#191 25.06.2021 17:18:30

mastermind
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Ich habe in den Einstellung die Vorschaltseite aktiviert.

Wenn ich mit diesem Thema die Funktion "Vorschaltseite bearbeiten" aufrufe, bekomme ich folgenden Fehler auf der Console:

Ich benutze den Microsoft Edge und Firefox in den neuesten Versionen, bei beiden tritt der Fehler auf.
Wenn ich als Thema WBCE Flat Theme benutze, tritt der Fehler nicht auf

Offline

#192 25.06.2021 20:08:18

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Hallo mastermind,

Danke für die Meldung des Fehlers.

Um die Meldung zu beheben, müssen nur die bei den htt im Fraggy Theme durch die im Anhang ersetzt werden.

Edit: Der Fix ist in Fraggy Backend Theme v2.6.2 enthalten, Anhang wurde entfernt

Last edited by colinax (27.06.2021 11:36:45)

Offline

#193 27.06.2021 06:32:44

mastermind
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Danke für die schnelle Lösung.
Habe allerdings im AOR keine Änderung gesehen, oder habe ich da etwas missverstanden?

Ich meine hier:

https://github.com/Colinax/Fraggy-Backe … /tag/2.6.1

Offline

#194 27.06.2021 07:03:52

mastermind
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Wenn ich das Fraggy Theme unter PHP 8 verwende, bekomme ich folgenden Fehler im Log (nicht bei PHP 7.4):

In beiden Fällen ist die gd extension installiert.

Vielleicht hat es etwas damit zu tun?
https://php.watch/versions/8.0/gdimage

Offline

#195 27.06.2021 10:06:29

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

mastermind wrote:

Danke für die schnelle Lösung.
Habe allerdings im AOR keine Änderung gesehen, oder habe ich da etwas missverstanden?

Ich meine hier: https://github.com/Colinax/Fraggy-Backe … /tag/2.6.1

Hi, ja da hast du was missverstanden, im AOR sind nur Stable Releases vermerkt, was in diesem Fall die 2.6.1 ist. Da Fraggy auf GitHub entwickelt wird, verweist auch das AOR auf den latest GitHub Download.


mastermind wrote:

Wenn ich das Fraggy Theme unter PHP 8 verwende, bekomme ich folgenden Fehler im Log (nicht bei PHP 7.4):

In beiden Fällen ist die gd extension installiert.

Vielleicht hat es etwas damit zu tun? https://php.watch/versions/8.0/gdimage

Diese verlinkte Änderung hat damit nichts zu tun, da is_resource nicht verwendet wird.

Was ich definitiv sagen, der Fehler im Log sagt dass die gd Extension nicht-, unfertig- oder als inkompatible installiert wurde.

Ruf mal die phpinfo auf und mach ein Foto von der gd Auflistung

lg

Offline

#196 27.06.2021 10:07:11

mastermind
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Hallo collnax,

Entschuldigung, es gibt keinen Fehler im Log!
Bei php 8 war die gd Extension doch nicht installiert.

Offline

#197 27.06.2021 11:34:37

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Neues Update für das Fraggy Backend Theme unter WBCE 1.4.4 und neuer ist verfügbar.

Eine Aktualisierung wird mittels Auto-Updater unterstützt, sofern mindestens Fraggy Backend Theme v2.3.1 und min. WBCE v1.4.4 im Einsatz ist.

Das Fraggy Backend Theme steht auf meinem GitHub Profil und im AOR zum Download bereit.

Anforderungen

  • WBCE v1.4.4 oder neuer

  • PHP 7.1 oder neuer

  • Aktivierte PHP Extension cURL (nur für Auto-Updater)

Changelog v2.6.2

  • Updated Deps

  • Updated to jQuery v3.6.0

  • Updated to jQuery Migrate v3.3.2

  • Fix Fraggy Theme init

LG Colinax

Offline

#198 04.08.2021 15:07:05

mastermind
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Ich habe eine Installation, wo das WBCE Flat Theme und das Fraggy Backend Theme installiert ist.
In den Grundeinstellungen ist in den Allgemeinen Einstellungen die Vorschaltseite deaktiviert.

Wenn ich das Fraggy Theme benutze, kann ich trotzdem die Vorschaltseite bearbeiten.
Mit dem Flat Theme fehlt richtigerweise die Box, um die Vorschaltseite zu bearbeiten.

Was mache ich da falsch oder habe ich nicht verstanden?

Last edited by colinax (08.08.2021 13:03:11)

Offline

#199 04.08.2021 19:28:19

colinax
Administrator

Re: Fraggy Backend Theme v2.6.7 verfügbar

Hallo mastermind,

Ich habe den Betreff des Threads angepasst damit das was oben steht auch zum Inhalt unterhalb passt.

Du machst nichts falsch und hast alles korrekt verstanden.

Die CSS Class die, die Zeile ausblenden soll, gibt es im Fraggy nicht

Offline

#200 05.08.2021 15:29:39

mastermind
Member

Re: Fraggy Backend Theme v2.6.7 verfügbar

Danke für die Antwort. Ist es geplant, das mal anzupassen, damit es wie beim Flat Theme funktioniert?

Offline

Board footer

up